# $Id: monkeysphere.spec 1190 2011-04-10 01:23:38Z rpmbuild $
# repo: RE
# restrictions:

%bcond_without fedora
%global uid 77
%global username monkeysphere
%global homedir %{_var}/lib/%{username}
%global gecos "Monkeysphere Authentication User"

Summary: Use the OpenPGP web of trust to verify ssh connections
Name: monkeysphere
Version: 0.35
Release: %RErelease 1
License: GPLv3+
Group: Applications/Internet
URL: http://web.monkeysphere.info/
Source0: http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/monkeysphere_%{version}.orig.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
%if "%errata" >= "160"
BuildRequires: fedora-usermgmt-devel
%{?FE_USERADD_REQ}
Provides: group(%{username}) = %{uid}
Provides: user(%{username}) = %{uid}
%else
Requires(pre): fedora-usermgmt
Requires(postun): fedora-usermgmt
%endif
Requires: gnupg
Requires: openssh-clients
BuildArch: noarch

%description
SSH key-based authentication is tried-and-true, but it lacks a true
Public Key Infrastructure for key certification, revocation and
expiration.  Monkeysphere is a framework that uses the OpenPGP web of
trust for these PKI functions.  It can be used in both directions: for
users to get validated host keys, and for hosts to authenticate users.

%prep
%setup -q

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__mkdir_p} %{buildroot}%{homedir}/authorized_keys

%clean
%{__rm} -rf %{buildroot}

%if "%errata" >= "160"
%pre
%{__fe_groupadd} %{uid} -r %{username} &>/dev/null || :
%{__fe_useradd}  %{uid} -r -s /bin/bash -d %{homedir} -M \
                      -c %{gecos} -g %{username} %{username} &>/dev/null || :

%postun
%{__fe_userdel}  %{username} &>/dev/null || :
%{__fe_groupdel} %{username} &>/dev/null || :
%else
%pre
/usr/sbin/fedora-groupadd %{uid} -r %{username} &>/dev/null || :
/usr/sbin/fedora-useradd  %{uid} -r -s /bin/bash -d %{homedir} -M \
                      -c %{gecos} -g %{username} %{username} &>/dev/null || :

%postun
test "$1" != 0 || /usr/sbin/fedora-userdel  %{username} &>/dev/null || :
test "$1" != 0 || /usr/sbin/fedora-groupdel %{username} &>/dev/null || :
%endif

%files
%defattr(-, root, root, -)
%doc COPYING README
%dir %{_sysconfdir}/monkeysphere
%config(noreplace) %{_sysconfdir}/monkeysphere/monkeysphere-authentication.conf
%config(noreplace) %{_sysconfdir}/monkeysphere/monkeysphere-host.conf
%config(noreplace) %{_sysconfdir}/monkeysphere/monkeysphere.conf
%{_bindir}/monkeysphere
%{_bindir}/openpgp2ssh
%{_bindir}/pem2openpgp
%{_sbindir}/monkeysphere-authentication
%{_sbindir}/monkeysphere-host
%doc %dir %{_docdir}/monkeysphere
%doc %{_docdir}/monkeysphere/Changelog
%doc %{_docdir}/monkeysphere/examples/crontab
%doc %{_docdir}/monkeysphere/examples/ssh_config
%doc %{_docdir}/monkeysphere/examples/sshd_config
%attr(0644, root, root) %doc %{_mandir}/*/*
%doc %{_datadir}/monkeysphere/VERSION
%{_datadir}/monkeysphere/checkperms
%{_datadir}/monkeysphere/common
%{_datadir}/monkeysphere/defaultenv
%{_datadir}/monkeysphere/keytrans
%{_datadir}/monkeysphere/monkeysphere-authentication-keys-for-user
%{_datadir}/monkeysphere/m
%{_datadir}/monkeysphere/ma
%{_datadir}/monkeysphere/mh
%attr(0755, root, root) %{_datadir}/monkeysphere/transitions/0.23
%attr(0755, root, root) %{_datadir}/monkeysphere/transitions/0.28
%doc %{_datadir}/monkeysphere/transitions/README.txt
%attr(0775,monkeysphere,monkeysphere) %dir %{_var}/lib/monkeysphere
%attr(0775,monkeysphere,monkeysphere) %dir %{_var}/lib/monkeysphere/authorized_keys

%changelog
* Sat Apr 02 2011 RazorsEdge Packaging <rpmpackaging@razorsedge.org> - 0.35-1
- Updated to 0.35.

* Sun Sep 12 2010 Bernie Innocenti <bernie@codewiz.org> - 0.31-2
- Fix problems identified by reviewer

* Sun Sep 12 2010 Bernie Innocenti <bernie@codewiz.org> - 0.31-1
- Update to 0.31

* Thu Apr 01 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-4
- Add /var/lib/monkeysphere/authorized_keys

* Tue Mar 30 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-3
- Give a real shell to monkeysphere user.
- Simplify pre/postun macros.

* Tue Mar 30 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-2
- Create user monkeysphere on installation.

* Tue Mar 30 2010 Bernie Innocenti <bernie@codewiz.org> - 0.28-1
- Update to 0.28.
- Various fixes for Fedora.

* Sat Nov 22 2008 Anonymous Coward <anonymous@example.com> - 0.22
- Initial release.
